Bug 1282281 - Using the latest 3.0 Errata puddle, there are Dependencies error with atomic-openshift-utils installation
Using the latest 3.0 Errata puddle, there are Dependencies error with atomic-...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Scott Dodson
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 21:28 EST by Anping Li
Modified: 2015-11-20 10:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:41:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anping Li 2015-11-15 21:28:17 EST
Description of problem:
Using the latest 3.0 Errata puddle, there are Dependencies error with atomic-openshift-utils installation 

Version-Release number of selected component (if applicable):
OpenShiftEnterpriseErrata/3.0/2015-11-13.1


How reproducible:
Always

Steps to Reproduce:
1. eanble latest OpenShiftEnterpriseErrata repo
2. yum install atomic-openshift-utils
3. yum install openshift-ansible

Actual results:
1) # yum install atomic-openshift-utils.noarch
Loaded plugins: product-id, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package atomic-openshift-utils.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
--> Processing Dependency: python-click for package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: openshift-ansible-roles for package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: openshift-ansible-playbooks for package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: ansible for package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: PyYAML for package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Running transaction check
---> Package PyYAML.x86_64 0:3.10-11.el7 will be installed
---> Package atomic-openshift-utils.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
--> Processing Dependency: python-click for package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: ansible for package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch
---> Package openshift-ansible-playbooks.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
--> Processing Dependency: openshift-ansible-lookup-plugins for package: openshift-ansible-playbooks-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: openshift-ansible-filter-plugins for package: openshift-ansible-playbooks-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: openshift-ansible for package: openshift-ansible-playbooks-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: /usr/bin/ansible-playbook for package: openshift-ansible-playbooks-3.0.12-1.git.0.4c09c5b.el7aos.noarch
---> Package openshift-ansible-roles.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
--> Running transaction check
---> Package atomic-openshift-utils.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
--> Processing Dependency: python-click for package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: ansible for package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch
---> Package openshift-ansible.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
--> Processing Dependency: ansible for package: openshift-ansible-3.0.12-1.git.0.4c09c5b.el7aos.noarch
---> Package openshift-ansible-filter-plugins.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
---> Package openshift-ansible-lookup-plugins.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
---> Package openshift-ansible-playbooks.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
--> Processing Dependency: /usr/bin/ansible-playbook for package: openshift-ansible-playbooks-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Processing Dependency: /usr/bin/ansible-playbook for package: openshift-ansible-playbooks-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Finished Dependency Resolution
Error: Package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch (ose-v3020)
           Requires: python-click
Error: Package: atomic-openshift-utils-3.0.12-1.git.0.4c09c5b.el7aos.noarch (ose-v3020)
           Requires: ansible
Error: Package: openshift-ansible-playbooks-3.0.12-1.git.0.4c09c5b.el7aos.noarch (ose-v3020)
           Requires: /usr/bin/ansible-playbook
Error: Package: openshift-ansible-3.0.12-1.git.0.4c09c5b.el7aos.noarch (ose-v3020)
           Requires: ansible
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

2) # yum install openshift-ansible
Loaded plugins: product-id, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package openshift-ansible.noarch 0:3.0.12-1.git.0.4c09c5b.el7aos will be installed
--> Processing Dependency: ansible for package: openshift-ansible-3.0.12-1.git.0.4c09c5b.el7aos.noarch
--> Finished Dependency Resolution
Error: Package: openshift-ansible-3.0.12-1.git.0.4c09c5b.el7aos.noarch (ose-v3020)
           Requires: ansible
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:
atomic-openshift-utils can be installed with latest Errata repo.

Additional info:
Comment 1 Anping Li 2015-11-16 02:50:28 EST
After installed the package 'ansible, 'python-click' from EPEL.repo. atomic-openshift-utils can be installed .
Comment 8 Anping Li 2015-11-18 20:27:36 EST
Verfifed and pass.

The atomic-openshift-utils can be installed from latest Errata Repo. and I can use it to install openshift 3.0 and upgrade it to atomic-openshift 3.1
Comment 9 Anping Li 2015-11-18 21:15:01 EST
The part: 'Updating the Default Image Streams and Templates'. 
In this part, the description will make customer confuse. it is better to  tell customer directly how to to fetch these example files. 
one suggestion is " Install atomic-openshift-unitily at the beginning for Upgrading Manually"
another suggestions is tell customer to install atomic-openshift-unitily or fetch files from githup at this part.
Comment 10 Anping Li 2015-11-18 21:19:26 EST
Sorry, I made a mistake. will move it to verified again.
Comment 11 Anping Li 2015-11-18 21:21:20 EST
(In reply to Anping Li from comment #9)
> The part: 'Updating the Default Image Streams and Templates'. 
> In this part, the description will make customer confuse. it is better to 
> tell customer directly how to to fetch these example files. 
> one suggestion is " Install atomic-openshift-unitily at the beginning for
> Upgrading Manually"
> another suggestions is tell customer to install atomic-openshift-unitily or
> fetch files from githup at this part.


Please ignore the comment #9, it is for other bugs.

Note You need to log in before you can comment on or make changes to this bug.